Bug 447567 - Review Request: msort - Sort files in sophisticated ways
Review Request: msort - Sort files in sophisticated ways
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 447566
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 11:17 EDT by Terje Røsten
Modified: 2008-06-04 17:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 17:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-05-20 11:17:30 EDT
Spec URL: http://terjeros.fedorapeople.org/msort/msort.spec
SRPM URL: http://terjeros.fedorapeople.org/msort/msort-8.45-1.fc9.src.rpm
Description:

Msort is a program for sorting files in sophisticated ways. Records
need not be single lines. Key fields may be selected by position, tag,
or character range. For each key, distinct exclusions, multigraphs,
substitutions. and a sort order may be defined. Comparisons may be
lexicographic, numeric, by string length, date, or time. Optional keys
are supported. Msort uses the Unicode character set and provides full
Unicode case-folding. The basic program has a somewhat complex command
line interface, but may be driven by an optional GUI.
Comment 1 Terje Røsten 2008-05-20 11:20:57 EDT
Note: might split the msg (msort graphical) tool to a msort-gui package.

Comment 2 Parag AN(पराग) 2008-05-27 03:49:24 EDT
Ok. So msort is GPLv3 and msg is GPLv2. 

when I start gui from command line, I see that,
# msg
msg 1.25
Copyright (C) 2005-2008 William J. Poser.
This program is free software; you can redistribute it
and/or modify it under the terms of version 2 of the GNU
General Public License as published by the Free Software Foundation.

And then when in gui clicked Help->License its showing GPLv3. This is totally
incompatible thing. I guess upstream want gui also to be in GPLv3 but missed to
remove license text from top of msg.tcl

Can upstream be ping to remove that text from msg.tcl? 

look
http://fedoraproject.org/wiki/Licensing#head-699ce10b1f5d466cd4c3d61301c3651f0c2ca219

Comment 3 Terje Røsten 2008-05-27 04:12:50 EDT
> Can upstream be ping to remove that text from msg.tcl?

Yes, done.
 
Comment 4 Terje Røsten 2008-05-29 14:31:26 EDT
New tarball upstream fixing the issue:

spec: http://terjeros.fedorapeople.org/msort/msort.spec
srpm: http://terjeros.fedorapeople.org/msort/msort-8.46-1.fc9.src.rpm
Comment 5 Parag AN(पराग) 2008-05-31 22:54:54 EDT
Review:
+ package builds in mock (rawhide i386).
koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=638847
+ rpmlint is silent for SRPM andfor RPM.
+ source files match upstream url
aa84730eae0691341919db244f821c68  msort-8.46.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ No desktop file installed.
+ GUI interface is available.

APPROVED.
Comment 6 Terje Røsten 2008-06-01 06:11:56 EDT
> APPROVED.

Thanks!

New Package CVS Request
=======================
Package Name: msort
Short Description: Sort files in sophisticated ways
Owners: terjeros
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-06-01 13:30:52 EDT
cvs done.
Comment 8 Terje Røsten 2008-06-04 17:52:57 EDT
Built and pushed for F-8, F-9 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.